# Exposed Inputs

You can assign variables to your flow by adding query parameters to the URL of your interface. Each query parameter must be the id of the input to assign, replace hyphens for underscores.

You can assign values to inputs such as \`in-1\` by adding the query parameter \`in\_1\`

This leads to embeds with the following structure:

```html
<iframe
  src="https://wwww.stack-ai.com/chat-assistant/orgId/token/flowId?in_1=example_text&in_2=second_text"
  width="350"
  height="600"
/>
```

The following interfaces support variable assignment:

* **Chat Interface**
* **Form**
* **Website Chatbot**

As part of your workflows, you can specify the following values as inputs in the request body:

* **Input nodes** translating `in-` to `in_`.
* **User ID for LLM Memory and Logs** `user_id`

If the values for these inputs are not specified, the interface will use the values from the flow.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stackai.com/interface-and-deployment/end-user-interfaces/exposed-inputs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
